local old_weapon_tweak_data = NewRaycastWeaponBase.weapon_tweak_data
function NewRaycastWeaponBase:weapon_tweak_data(...)
	local weapon_tweak_data = old_weapon_tweak_data(self, ...)

   	 if not self._parts or self._name_id ~= "rpg7" then
        	return weapon_tweak_data 
   	 end
	
	if self._parts.wpn_fps_upg_a_grenade_launcher_iuhApRpgRound then 
		weapon_tweak_data.categories = {"snp"} 	
		weapon_tweak_data.can_shoot_through_wall = "true" 
		weapon_tweak_data.can_shoot_through_shield = "true" 
		weapon_tweak_data.can_shoot_through_enemy = "true" 
		weapon_tweak_data.armor_piercing_chance = 1
	end

	return weapon_tweak_data
end

_G.AddBulletTrail = _G.AddBulletTrail or {}

local HookAddBulletTrail = NewRaycastWeaponBase.fire
local idstr_trail = Idstring("trail")
local idstr_simulator_length = Idstring("simulator_length")
local idstr_size = Idstring("size")

function NewRaycastWeaponBase:fire(from_pos, direction, ...)
	 if self._parts.wpn_fps_upg_a_grenade_launcher_iuhApRpgRound then	
		self.TRAIL_EFFECT = Idstring("effects/particles/weapons/sniper_trail")
		self._trail_effect_table = {
			effect = self.TRAIL_EFFECT,
			position = Vector3(),
			normal = Vector3()
		}
		self._trail_length = World:effect_manager():get_initial_simulator_var_vector2(self.TRAIL_EFFECT, idstr_trail, idstr_simulator_length, idstr_size)
		local col_ray = {
			distance = 10000
		}
		NPCSniperRifleBase._spawn_trail_effect(self, direction, col_ray)
	end
	return HookAddBulletTrail(self, from_pos, direction, ...)
end

